
@font-face {
  font-family: 'Plus Jakarta Sans';
  src: url('/PlusJakartaSans-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Plus Jakarta Sans';
  src: url('/PlusJakartaSans-SemiBold.woff2') format('woff2');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Plus Jakarta Sans';
  src: url('/PlusJakartaSans-Bold.woff2') format('woff2');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

html{
  scroll-behavior: smooth;
}
html, body {
  font-family: 'Plus Jakarta Sans', sans-serif !important;
  font-family: 'Plus Jakarta Sans', system-ui, -apple-system, sans-serif;
}

  body {
    margin: 0;
    font-family: 'Plus Jakarta Sans', sans-serif;
    color: #2b2b2b;
    line-height: 1.6;
    display: block;
    background-color: var(--bg-color)/*azzurrino #E4F2F8 SALVIA #eef5f4*/;
    
  }
  body {
    display: block;
    height: auto;
    overflow: auto;
  }

  /* FOTO IN ALTO -- MOBILE FIRST */
  #foto-container {
    position: relative;
    width: 100%;
    height: 65svh;
    overflow: hidden;
    box-shadow: 10px 0 30px -10px rgba(0,0,0,0.3);
  }



  #foto {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center 20%; 
  }

  

  /* TESTO SOTTO */
  

  #text {
    padding: 2rem 1.5rem;
    max-width: 600px;
    margin: 0 auto;
    overflow: visible; 
    overflow-y: scroll;
    box-sizing: border-box;
  scroll-behavior: smooth;
  }

  /* SEZIONE INIZIALE */
  #presentazione, #ChiSono, #sezContatti {
    text-align: center;
    margin-bottom: 3rem;
  display: block;
   min-height: auto; 
 opacity: 0;
    transform: translateY(20px);
    animation: fadeUp 0.6s ease forwards;
  }
   #ChiSono { animation-delay: 0.1s; }
  #sezContatti { animation-delay: 0.2s; }

  @keyframes fadeUp {
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }


  .chiSonoBlocco, #ChiSono, #sezContatti {
    min-height: 100vh;
    display: flex;
  flex-direction: column;
  justify-content: center;
  }
  
   #ChiSono,
#sezContatti {
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
 display: flex;
    flex-direction: column;
    border-top: 1px solid rgba(0,0,0,0.05);
}
#sezContatti{
  flex: wrap;
  justify-content: space-between;
}
  #qualifica {
    font-size: 0.85rem;
    letter-spacing: 0.12em;
    color: #777;
    margin-bottom: 0.5rem;
  }

  h1 {
    font-size: 2rem;
    margin-bottom: 1.5rem;
    font-weight: 500;
    text-shadow: 0.5px 0.5px 1px rgba(0, 0, 0, 0.2);
  }

 
  .pulsanti {
    display: flex;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
  }

  .PresentazioneButton {
      display: inline-block;
  padding: 0.7rem 1.4rem;
  border: 1px solid #abd2cc;
  background: transparent;
  font-size: 0.9rem;
  cursor: pointer;
  border-radius: 10px;
  text-decoration: none;
  color: inherit;
    
  }
  .PresentazioneButton:hover {
background-color: var(--btn-color) /* azzurrino #B3CEE5 SALVIA #c1ddd9*/;
border: 1px solid white;
color: #393636;
  }

  /* SEZIONI */
  

  h2 {
    font-size: 1.4rem;
    margin-bottom: 1rem;
    font-weight: 500;
  }

 .testoPresentazione p {
     font-size: 0.95rem;
    margin-bottom: 1rem;
  }

  .TitoloPresentazione {
  text-align: center;
  margin-bottom: 1.5rem;
   font-weight: 600;
}

  .testoPresentazione, #contatti {
    color: #333;
    /*text-align: center;
  line-height: 1.8;
  font-size: 1rem;
  letter-spacing: 0.01em;
  width: 100%;
  max-width: 100%;
  text-align: justify;*/
    width: 100%;
  max-width: 800px;
  margin: 0 auto;
  text-align: left;
  line-height: 1.8;
   hyphens: none;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
     word-break: normal;
  overflow-wrap: normal;
  }

  /* MAPPA */
  #sezContatti img {
       width: 100%;
  aspect-ratio: 16 / 9;
  height: 180px;
  object-fit: cover;
  border-radius: 10px;
  margin-top: 1rem;
  }

  a {
  color: inherit;
  text-decoration: none;
  background-image: linear-gradient(currentColor, currentColor);
  background-size: 0% 1px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.3s ease;
}

a:hover {
  background-size: 100% 1px;
}

#linkMaps:hover {
  background-size: 0 !important;
  text-decoration: none;
  color: inherit;
}
  
  #sezContatti, #ChiSono, .chiSonoBlocco {
    
    justify-content: center;
    align-items: center;
    min-height: 100svh;
    text-align: center;
    margin: 0 auto; 
  }

  .chiSonoBlocco {
  scroll-snap-align: start;
 
}
 ul {
   list-style: disc !important;
  list-style-type: disc;
   padding-left: 1.5rem;
  margin-bottom: 1.2rem;
}

ol {
  list-style-type: decimal;
   padding-left: 1.5rem;
  margin-bottom: 1.2rem;
}

 li {
  line-height: 1.5;
  margin-bottom: 0.5rem;
  list-style-position: outside;
  text-align: left;
  padding-left: 0.3rem;
  text-indent: -0.2rem;
}

#citazione {
  margin-top: 2rem;
  font-style: italic;
  opacity: 0.8;
}

/*COOKIES*/
.cookie-banner {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background: #edf7fb;
  padding: 1rem;
  text-align: center;
  z-index: 9999;
  box-shadow: 0 -2px 10px rgba(0,0,0,0.1);
}

.cookie-actions {
  margin-top: 0.5rem;
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.cookie-banner button {
  padding: 0.5rem 1rem;
  border: none;
  cursor: pointer;
  border-radius: 5px;
}

/* POP UP PRIVACY */
.privacy-modal {
  position: fixed;
  inset: 0;
  background: rgba(20, 30, 40, 0.45);
  backdrop-filter: blur(6px); /* effetto vetro elegante */
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
   padding: 1.5rem;
    border-radius: 12px;
    max-height: 90vh;
}

/* BOX */
.privacy-content {
  background: #ffffff;
  width: 100%;
  max-width: 650px;
  max-height: 85vh;
  border-radius: 16px;
  padding: 2rem;
  overflow-y: auto;
  position: relative;
   white-space: normal;
   margin-bottom: 1rem;
  white-space: pre-line;
  box-shadow: 0 20px 60px rgba(0,0,0,0.2);

  animation: fadeUp 0.35s ease;
}

/* TESTO */
.privacy-content h2 {
  margin-top: 0;
  font-weight: 600;
  margin-bottom: 1.2rem;
}

.privacy-content p {
  text-align: left;
  font-size: 0.95rem;
  line-height: 1.7;
  margin-bottom: 1rem;
}

.privacy-content strong {
  font-weight: 600;
}

.privacy-content ul {
  padding-left: 1.2rem;
  margin-bottom: 1rem;
}

.privacy-content li {
  margin-bottom: 0.4rem;
}


.privacy-content a {
  color: inherit;
  text-decoration: none;
  background-image: linear-gradient(currentColor, currentColor);
  background-size: 0% 1px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.3s ease;
}

.privacy-content a:hover {
  background-size: 100% 1px;
}

#closePrivacy{
  margin-bottom: 1rem;
}

/* PULSANTE CHIUSURA */
.close-btn {
  top: 12px;
  right: 16px;
  font-size: 14px;
  border: none;
  background: none;
  cursor: pointer;
  color: #282929;
  background-color: #c4dcdc;
  transition: transform 0.2s ease;
}

.close-btn:hover {
  transform: scale(1.2);
}

/* ANIMAZIONE */
@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(25px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}


#buttonDesktop,#top-desktop{
  display:none;
}
#buttonMobile,#top-mobile{
  display:inline-block;
}
.tornaSu {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: var(--btn-color) /* SALVIA #acd2cc*/ /* azzurrino #B3CEE5*/;
  border: 1px solid white;
  color: white;
  font-size: 22px;
  cursor: pointer;
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: none; 
  z-index: 1000;
}
/* OVERLAY */
.privacy-modal {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.45);
  backdrop-filter: blur(5px);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  padding: 1rem;
}

/* BOX */
.privacy-box {
  background: #fff;
  width: 100%;
  max-width: 650px;
  max-height: 85vh;
  overflow-y: auto;
  border-radius: 14px;
  padding: 2rem;
  position: relative;
  box-shadow: 0 20px 60px rgba(0,0,0,0.25);
  animation: pop 0.25s ease;
}

/* ANIMAZIONE */
@keyframes pop {
  from {
    opacity: 0;
    transform: scale(0.95);
  }
  to {
    opacity: 1;
    transform: scale(1);
  }
}

/* TESTO */
.privacy-text {
  text-align: left;
  font-size: 0.95rem;
  line-height: 1.7;
}

.privacy-text p {
  margin-bottom: 1rem;
}

.privacy-text ul {
  padding-left: 1.2rem;
}

/* LINK */
.privacy-text a {
  color: inherit;
  text-decoration: underline;
}

/* CLOSE BUTTON */
.privacy-close {
  position: absolute;
  top: 10px;
  right: 14px;
  border: none;
  background: none;
  font-size: 22px;
  cursor: pointer;
  color: #444;
}

.privacy-close:hover {
  transform: scale(1.2);
}

/*DESKTOP*/
@media (orientation: landscape) and (min-width:600px) {

  body {
    display: flex;
    height: 100vh;
   
  }

  /* FOTO A SINISTRA */
  #foto-container {
    width: 40%;
    height: 100vh;
    position: relative;
    overflow: hidden;
    flex-shrink: 0;
  }

  #foto {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center 20%;
  }

  /* TESTO SCROLLABILE A DESTRA */
  #text {
    width: 60%;
    height: 100vh;
    overflow-y: auto;
    scroll-behavior: smooth;
    padding: 2rem;
    box-sizing: border-box;
   /* Firefox */
  scrollbar-width: none;

  /* IE/Edge vecchi */
  -ms-overflow-style: none;
  }
  /* Chrome, Safari */
#text::-webkit-scrollbar {
  display: none;
}

  /* PRESENTAZIONE */
  #presentazione {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content:center;
    gap: 5%;
    margin-bottom: 3rem;
    min-height:100vh;
  
  }
   .testoPresentazione {
    text-align: left;
  }

  #sezContatti, #ChiSono, .chiSonoBlocco {
  text-align: left;
  }

  .pulsanti {
    justify-content: center;
  }

  /* MAPPA */
  #maps iframe {
    width: 100%;
    height: 200px;
  }
#sezContatti img{
  height: auto;
}

    #cookie-banner{
    width: 100%;
  }
#buttonMobile,#top-mobile{
  display:none;
}

#buttonDesktop,#top-desktop{
  display:inline-block;
}
 .privacy-content {
    padding: 1.5rem;

}
}

@media (orientation: portrait) {
  body {
    display: block;
    height: auto;
    overflow: auto;
  }

  

}
